import {useState} from "react";
import styled from "styled-components";
import {gqlSendComment} from "../shared/services&utilits/gqlRequest";


const MessageWrapper = styled.div`
`

function CommentMessageBlock({postId,updatePostData}){
    const [textMessage, setTextMessage ] = useState("");

    function inputHandler(e){
        setTextMessage(e.target.value)
    }
    async function sendMessage(){
      await  gqlSendComment(postId,textMessage);
        setTextMessage("");
        updatePostData();

    }
    return(
        <MessageWrapper>
            <input onChange={inputHandler} value={textMessage}/>
            <button onClick={sendMessage}>Send</button>
        </MessageWrapper>

    )
}
export default CommentMessageBlock;